# file      : build/message.make
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2004-2009 Boris Kolpackov
# license   : GNU GPL v2; see accompanying LICENSE file


# @@ I should not use names like message especially if it is
#    just for a convinience of a subsystem.
#
# @@ maybe I can use -message (use - in front for system
#    utilities).
#

%frame_exclude% += build-message-expand
define build-message-expand
$(eval _1 = $1)$(call _1,$2,$3,$4,$5,$6,$7,$8,$9)
endef


%frame_exclude% += message

ifdef verbose

define message
$(call build-message-expand,$2,$3,$4,$5,$6,$7,$8,$9)
endef

else

define message
$(if $1,@echo $(call build-message-expand,$1,$3,$4,$5,$6,$7,$8,$9) && \
              $(call build-message-expand,$2,$3,$4,$5,$6,$7,$8,$9),\
        @$(call build-message-expand,$2,$3,$4,$5,$6,$7,$8,$9))
endef

endif
